backup: Backup a quality profile in XML form

API: sonarcloud.io:sonarqube
Endpoint: /api/qualityprofiles/backup
Response format: text/xml
Auth: unknown
Method: GET
Last Status: 200
Latency: 210ms

Description

Backup a quality profile in XML form. The exported profile can be restored through api/qualityprofiles/restore.

Parameters (4)

key (string, query, optional)

Quality profile key. Mandatory unless 'qualityProfile' and 'language' are specified.

language (string, query, optional)

Quality profile language. Mandatory if 'key' is not set.

Constraints: {'enum': ['kubernetes', 'css', 'scala', 'jsp', 'py', 'js', 'plsql', 'apex', 'docker', 'ansible', 'rust', 'dart', 'jcl', 'java', 'web', 'xml', 'flex', 'json', 'ipynb', 'text', 'vbnet', 'azurepipelines', 'cloudformation', 'swift', 'yaml', 'cpp', 'c', 'rpg', 'go', 'kotlin', 'vb', 'tsql', 'pli', 'secrets', 'ruby', 'cs', 'groovy', 'cobol', 'shell', 'php', 'terraform', 'azureresourcemanager', 'abap', 'objc', 'ts', 'githubactions']}

organization (string, query, optional)

Organization key.

qualityProfile (string, query, optional)

Quality profile name. Mandatory if 'key' is not set.

Examples (1)

Backup a quality profile in XML form openapi-spec
curl 'https://sonarcloud.io/api/qualityprofiles/backup?key=AU-Tpxb--iU5OvuD2FLy&organization=my-org&qualityProfile=Sonar+way'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/qualityprofiles/backup",
    params={
        'key': 'AU-Tpxb--iU5OvuD2FLy',
        'organization': 'my-org',
        'qualityProfile': 'Sonar way',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/qualityprofiles/backup", key="AU-Tpxb--iU5OvuD2FLy", organization="my-org", qualityProfile="Sonar way")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/qualityprofiles/backup?key=AU-Tpxb--iU5OvuD2FLy&organization=my-org&qualityProfile=Sonar+way");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:06:43.359839 200 210ms
2026-04-15 00:16:59.236414 200 142ms
2026-04-14 00:28:19.720937 200 180ms
2026-04-12 14:50:10.923419 200 141ms
2026-04-10 05:11:25.782001 200 108ms
2026-04-09 02:04:21.139301 200 417ms